summaryrefslogtreecommitdiffstats
path: root/system/gsmartcontrol
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-12 17:45:21 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:45:21 +0200
commit462de8ef01a13c350cede1c070391b939bbe6229 (patch)
treec436284a5c042c1b62f6c418e6c49aad41a79917 /system/gsmartcontrol
parenta09194aa082c5d7e9599de6b3c4d24a79a09c0d4 (diff)
downloadslackbuilds-462de8ef01a13c350cede1c070391b939bbe6229.tar.gz
slackbuilds-462de8ef01a13c350cede1c070391b939bbe6229.tar.xz
system/gsmartcontrol: Updated for version 0.8.4
Diffstat (limited to 'system/gsmartcontrol')
-rw-r--r--system/gsmartcontrol/doinst.sh9
-rw-r--r--system/gsmartcontrol/gsmartcontrol.SlackBuild14
-rw-r--r--system/gsmartcontrol/gsmartcontrol.info6
3 files changed, 23 insertions, 6 deletions
diff --git a/system/gsmartcontrol/doinst.sh b/system/gsmartcontrol/doinst.sh
index 3857649f50..1f8ff67ded 100644
--- a/system/gsmartcontrol/doinst.sh
+++ b/system/gsmartcontrol/doinst.sh
@@ -1,3 +1,10 @@
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/gsmartcontrol/gsmartcontrol.SlackBuild b/system/gsmartcontrol/gsmartcontrol.SlackBuild
index 952bdfae98..a5e1193767 100644
--- a/system/gsmartcontrol/gsmartcontrol.SlackBuild
+++ b/system/gsmartcontrol/gsmartcontrol.SlackBuild
@@ -1,10 +1,10 @@
-#!/bin/sh -eu
+#!/bin/sh
# Slackware build script for GSmartControl
# Written by Erik Hanson erik@slackbuilds.org
PRGNAM=gsmartcontrol
-VERSION=0.8.1
+VERSION=0.8.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,8 +18,12 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -35,6 +39,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var/lib \
+ --mandir=/usr/man/ \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--disable-static \
--build=$ARCH-slackware-linux
@@ -42,6 +47,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ;
+ do ln -s $( readlink $i ).gz $i.gz ; rm $i ;
+done
+
cp -a COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/gsmartcontrol/gsmartcontrol.info b/system/gsmartcontrol/gsmartcontrol.info
index cec3112f0f..bb86ec7850 100644
--- a/system/gsmartcontrol/gsmartcontrol.info
+++ b/system/gsmartcontrol/gsmartcontrol.info
@@ -1,8 +1,8 @@
PRGNAM="gsmartcontrol"
-VERSION="0.8.1"
+VERSION="0.8.4"
HOMEPAGE="http://gsmartcontrol.berlios.de/home/index.php/en/Home"
-DOWNLOAD="http://download.berlios.de/gsmartcontrol/gsmartcontrol-0.8.1.tar.bz2"
-MD5SUM="ff3a7cf8677bb61f8139b87893e31060"
+DOWNLOAD="http://download.berlios.de/gsmartcontrol/gsmartcontrol-0.8.4.tar.bz2"
+MD5SUM="90c8bbc95726a0c64201f9e51a5abbdd"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
APPROVED="rworkman"